<?php

namespace BodyRep\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Security\Core\User\UserInterface;

/**
 * Bodyrep\Entity\Profile
 *
 * @ORM\Table(name="member")
 * @ORM\Entity
 */
class Profile
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;


    /**
     * @var string $fullname
     *
     * @ORM\Column(name="fullname", type="string")
     */
    private $fullname;

    /**
     * @var string $username
     *
     * @ORM\Column(name="username", type="string")
     */
    private $username;

    /**
     * @var float $currentweight
     *
     * @ORM\Column(name="currentweight", type="float")
     */
    private $currentweight;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getid()
    {
        return $this->id;
    }

    /**
     * Set fullName
     *
     * @param string $fullname
     * @return Profile
     */
    public function setfullname($fullname)
    {
        $this->fullname = $fullname;
    
        return $this;
    }

    /**
     * Get fullName
     *
     * @return string 
     */
    public function getFullName()
    {
        return $this->fullname;
    }

    /**
     * Set userName
     *
     * @param string $username
     * @return Profile
     */
    public function setUserName($username)
    {
        $this->username = $userName;
    
        return $this;
    }

    /**
     * Get userName
     *
     * @return string 
     */
    public function getUserName()
    {
        return $this->username;
    }

    /**
     * Set currentWeight
     *
     * @param float $currentWeight
     * @return Profile
     */
    public function setCurrentWeight($currentWeight)
    {
        $this->currentweight = $currentWeight;
    
        return $this;
    }

    /**
     * Get currentWeight
     *
     * @return float 
     */
    public function getCurrentWeight()
    {
        return $this->currentweight;
    }

}
